Imported Upstream version 3.30
[platform/upstream/iso-codes.git] / Makefile.in
1 # Makefile.in generated by automake 1.11.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
6 # Inc.
7 # This Makefile.in is free software; the Free Software Foundation
8 # gives unlimited permission to copy and/or distribute it,
9 # with or without modifications, as long as this notice is preserved.
10
11 # This program is distributed in the hope that it will be useful,
12 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14 # PARTICULAR PURPOSE.
15
16 @SET_MAKE@
17
18 VPATH = @srcdir@
19 pkgdatadir = $(datadir)/@PACKAGE@
20 pkgincludedir = $(includedir)/@PACKAGE@
21 pkglibdir = $(libdir)/@PACKAGE@
22 pkglibexecdir = $(libexecdir)/@PACKAGE@
23 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
24 install_sh_DATA = $(install_sh) -c -m 644
25 install_sh_PROGRAM = $(install_sh) -c
26 install_sh_SCRIPT = $(install_sh) -c
27 INSTALL_HEADER = $(INSTALL_DATA)
28 transform = $(program_transform_name)
29 NORMAL_INSTALL = :
30 PRE_INSTALL = :
31 POST_INSTALL = :
32 NORMAL_UNINSTALL = :
33 PRE_UNINSTALL = :
34 POST_UNINSTALL = :
35 subdir = .
36 DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
37         $(srcdir)/Makefile.in $(srcdir)/iso-codes.pc.in \
38         $(top_srcdir)/configure ChangeLog INSTALL TODO install-sh \
39         missing
40 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
41 am__aclocal_m4_deps = $(top_srcdir)/configure.ac
42 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
43         $(ACLOCAL_M4)
44 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
45  configure.lineno config.status.lineno
46 mkinstalldirs = $(install_sh) -d
47 CONFIG_CLEAN_FILES = iso-codes.pc
48 CONFIG_CLEAN_VPATH_FILES =
49 SOURCES =
50 DIST_SOURCES =
51 RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
52         html-recursive info-recursive install-data-recursive \
53         install-dvi-recursive install-exec-recursive \
54         install-html-recursive install-info-recursive \
55         install-pdf-recursive install-ps-recursive install-recursive \
56         installcheck-recursive installdirs-recursive pdf-recursive \
57         ps-recursive uninstall-recursive
58 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
59 am__vpath_adj = case $$p in \
60     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
61     *) f=$$p;; \
62   esac;
63 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
64 am__install_max = 40
65 am__nobase_strip_setup = \
66   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
67 am__nobase_strip = \
68   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
69 am__nobase_list = $(am__nobase_strip_setup); \
70   for p in $$list; do echo "$$p $$p"; done | \
71   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
72   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
73     if (++n[$$2] == $(am__install_max)) \
74       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
75     END { for (dir in files) print dir, files[dir] }'
76 am__base_list = \
77   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
78   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
79 am__installdirs = "$(DESTDIR)$(pkgconfigdir)"
80 DATA = $(pkgconfig_DATA)
81 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
82   distclean-recursive maintainer-clean-recursive
83 AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
84         $(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
85         distdir dist dist-all distcheck
86 ETAGS = etags
87 CTAGS = ctags
88 DIST_SUBDIRS = $(SUBDIRS)
89 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
90 distdir = $(PACKAGE)-$(VERSION)
91 top_distdir = $(distdir)
92 am__remove_distdir = \
93   { test ! -d "$(distdir)" \
94     || { find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
95          && rm -fr "$(distdir)"; }; }
96 am__relativize = \
97   dir0=`pwd`; \
98   sed_first='s,^\([^/]*\)/.*$$,\1,'; \
99   sed_rest='s,^[^/]*/*,,'; \
100   sed_last='s,^.*/\([^/]*\)$$,\1,'; \
101   sed_butlast='s,/*[^/]*$$,,'; \
102   while test -n "$$dir1"; do \
103     first=`echo "$$dir1" | sed -e "$$sed_first"`; \
104     if test "$$first" != "."; then \
105       if test "$$first" = ".."; then \
106         dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
107         dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
108       else \
109         first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
110         if test "$$first2" = "$$first"; then \
111           dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
112         else \
113           dir2="../$$dir2"; \
114         fi; \
115         dir0="$$dir0"/"$$first"; \
116       fi; \
117     fi; \
118     dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
119   done; \
120   reldir="$$dir2"
121 GZIP_ENV = --best
122 DIST_ARCHIVES = $(distdir).tar.bz2
123 distuninstallcheck_listfiles = find . -type f -print
124 distcleancheck_listfiles = find . -type f -print
125 ACLOCAL = @ACLOCAL@
126 ACLOCAL_AMFLAGS = @ACLOCAL_AMFLAGS@
127 AMTAR = @AMTAR@
128 AUTOCONF = @AUTOCONF@
129 AUTOHEADER = @AUTOHEADER@
130 AUTOMAKE = @AUTOMAKE@
131 AWK = @AWK@
132 CYGPATH_W = @CYGPATH_W@
133 DEFS = @DEFS@
134 DOMAINS = @DOMAINS@
135 ECHO_C = @ECHO_C@
136 ECHO_N = @ECHO_N@
137 ECHO_T = @ECHO_T@
138 INSTALL = @INSTALL@
139 INSTALL_DATA = @INSTALL_DATA@
140 INSTALL_PROGRAM = @INSTALL_PROGRAM@
141 INSTALL_SCRIPT = @INSTALL_SCRIPT@
142 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
143 LIBOBJS = @LIBOBJS@
144 LIBS = @LIBS@
145 LTLIBOBJS = @LTLIBOBJS@
146 MAINT = @MAINT@
147 MAKEINFO = @MAKEINFO@
148 MKDIR_P = @MKDIR_P@
149 MSGFMT = @MSGFMT@
150 MSGFMT_FLAGS = @MSGFMT_FLAGS@
151 MSGMERGE = @MSGMERGE@
152 PACKAGE = @PACKAGE@
153 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
154 PACKAGE_NAME = @PACKAGE_NAME@
155 PACKAGE_STRING = @PACKAGE_STRING@
156 PACKAGE_TARNAME = @PACKAGE_TARNAME@
157 PACKAGE_URL = @PACKAGE_URL@
158 PACKAGE_VERSION = @PACKAGE_VERSION@
159 PATH_SEPARATOR = @PATH_SEPARATOR@
160 RECODE_SR_LATIN = @RECODE_SR_LATIN@
161 SET_MAKE = @SET_MAKE@
162 SHELL = @SHELL@
163 STRIP = @STRIP@
164 VERSION = @VERSION@
165 abs_builddir = @abs_builddir@
166 abs_srcdir = @abs_srcdir@
167 abs_top_builddir = @abs_top_builddir@
168 abs_top_srcdir = @abs_top_srcdir@
169 am__leading_dot = @am__leading_dot@
170 am__tar = @am__tar@
171 am__untar = @am__untar@
172 bindir = @bindir@
173 build_alias = @build_alias@
174 builddir = @builddir@
175 datadir = @datadir@
176 datarootdir = @datarootdir@
177 docdir = @docdir@
178 dvidir = @dvidir@
179 exec_prefix = @exec_prefix@
180 host_alias = @host_alias@
181 htmldir = @htmldir@
182 includedir = @includedir@
183 infodir = @infodir@
184 install_sh = @install_sh@
185 libdir = @libdir@
186 libexecdir = @libexecdir@
187 localedir = @localedir@
188 localstatedir = @localstatedir@
189 mandir = @mandir@
190 mkdir_p = @mkdir_p@
191 oldincludedir = @oldincludedir@
192 pdfdir = @pdfdir@
193 prefix = @prefix@
194 program_transform_name = @program_transform_name@
195 psdir = @psdir@
196 sbindir = @sbindir@
197 sharedstatedir = @sharedstatedir@
198 srcdir = @srcdir@
199 sysconfdir = @sysconfdir@
200 target_alias = @target_alias@
201 top_build_prefix = @top_build_prefix@
202 top_builddir = @top_builddir@
203 top_srcdir = @top_srcdir@
204 SUBDIRS = iso_15924 iso_3166 iso_3166_2 iso_4217 iso_639 iso_639_3
205 pkgconfigdir = $(datadir)/pkgconfig
206 pkgconfig_DATA = iso-codes.pc
207 EXTRA_DIST = \
208         LICENSE                 \
209         rules.make              \
210         iso2pot.py              \
211         check_valid_utf8.pl
212
213 DISTCLEANFILES = $(pkgconfig_DATA)
214 all: all-recursive
215
216 .SUFFIXES:
217 am--refresh:
218         @:
219 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
220         @for dep in $?; do \
221           case '$(am__configure_deps)' in \
222             *$$dep*) \
223               echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
224               $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
225                 && exit 0; \
226               exit 1;; \
227           esac; \
228         done; \
229         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
230         $(am__cd) $(top_srcdir) && \
231           $(AUTOMAKE) --foreign Makefile
232 .PRECIOUS: Makefile
233 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
234         @case '$?' in \
235           *config.status*) \
236             echo ' $(SHELL) ./config.status'; \
237             $(SHELL) ./config.status;; \
238           *) \
239             echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
240             cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
241         esac;
242
243 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
244         $(SHELL) ./config.status --recheck
245
246 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
247         $(am__cd) $(srcdir) && $(AUTOCONF)
248 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
249         $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
250 $(am__aclocal_m4_deps):
251 iso-codes.pc: $(top_builddir)/config.status $(srcdir)/iso-codes.pc.in
252         cd $(top_builddir) && $(SHELL) ./config.status $@
253 install-pkgconfigDATA: $(pkgconfig_DATA)
254         @$(NORMAL_INSTALL)
255         test -z "$(pkgconfigdir)" || $(MKDIR_P) "$(DESTDIR)$(pkgconfigdir)"
256         @list='$(pkgconfig_DATA)'; test -n "$(pkgconfigdir)" || list=; \
257         for p in $$list; do \
258           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
259           echo "$$d$$p"; \
260         done | $(am__base_list) | \
261         while read files; do \
262           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(pkgconfigdir)'"; \
263           $(INSTALL_DATA) $$files "$(DESTDIR)$(pkgconfigdir)" || exit $$?; \
264         done
265
266 uninstall-pkgconfigDATA:
267         @$(NORMAL_UNINSTALL)
268         @list='$(pkgconfig_DATA)'; test -n "$(pkgconfigdir)" || list=; \
269         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
270         test -n "$$files" || exit 0; \
271         echo " ( cd '$(DESTDIR)$(pkgconfigdir)' && rm -f" $$files ")"; \
272         cd "$(DESTDIR)$(pkgconfigdir)" && rm -f $$files
273
274 # This directory's subdirectories are mostly independent; you can cd
275 # into them and run `make' without going through this Makefile.
276 # To change the values of `make' variables: instead of editing Makefiles,
277 # (1) if the variable is set in `config.status', edit `config.status'
278 #     (which will cause the Makefiles to be regenerated when you run `make');
279 # (2) otherwise, pass the desired values on the `make' command line.
280 $(RECURSIVE_TARGETS):
281         @fail= failcom='exit 1'; \
282         for f in x $$MAKEFLAGS; do \
283           case $$f in \
284             *=* | --[!k]*);; \
285             *k*) failcom='fail=yes';; \
286           esac; \
287         done; \
288         dot_seen=no; \
289         target=`echo $@ | sed s/-recursive//`; \
290         list='$(SUBDIRS)'; for subdir in $$list; do \
291           echo "Making $$target in $$subdir"; \
292           if test "$$subdir" = "."; then \
293             dot_seen=yes; \
294             local_target="$$target-am"; \
295           else \
296             local_target="$$target"; \
297           fi; \
298           ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
299           || eval $$failcom; \
300         done; \
301         if test "$$dot_seen" = "no"; then \
302           $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
303         fi; test -z "$$fail"
304
305 $(RECURSIVE_CLEAN_TARGETS):
306         @fail= failcom='exit 1'; \
307         for f in x $$MAKEFLAGS; do \
308           case $$f in \
309             *=* | --[!k]*);; \
310             *k*) failcom='fail=yes';; \
311           esac; \
312         done; \
313         dot_seen=no; \
314         case "$@" in \
315           distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
316           *) list='$(SUBDIRS)' ;; \
317         esac; \
318         rev=''; for subdir in $$list; do \
319           if test "$$subdir" = "."; then :; else \
320             rev="$$subdir $$rev"; \
321           fi; \
322         done; \
323         rev="$$rev ."; \
324         target=`echo $@ | sed s/-recursive//`; \
325         for subdir in $$rev; do \
326           echo "Making $$target in $$subdir"; \
327           if test "$$subdir" = "."; then \
328             local_target="$$target-am"; \
329           else \
330             local_target="$$target"; \
331           fi; \
332           ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
333           || eval $$failcom; \
334         done && test -z "$$fail"
335 tags-recursive:
336         list='$(SUBDIRS)'; for subdir in $$list; do \
337           test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
338         done
339 ctags-recursive:
340         list='$(SUBDIRS)'; for subdir in $$list; do \
341           test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
342         done
343
344 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
345         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
346         unique=`for i in $$list; do \
347             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
348           done | \
349           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
350               END { if (nonempty) { for (i in files) print i; }; }'`; \
351         mkid -fID $$unique
352 tags: TAGS
353
354 TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
355                 $(TAGS_FILES) $(LISP)
356         set x; \
357         here=`pwd`; \
358         if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
359           include_option=--etags-include; \
360           empty_fix=.; \
361         else \
362           include_option=--include; \
363           empty_fix=; \
364         fi; \
365         list='$(SUBDIRS)'; for subdir in $$list; do \
366           if test "$$subdir" = .; then :; else \
367             test ! -f $$subdir/TAGS || \
368               set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
369           fi; \
370         done; \
371         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
372         unique=`for i in $$list; do \
373             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
374           done | \
375           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
376               END { if (nonempty) { for (i in files) print i; }; }'`; \
377         shift; \
378         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
379           test -n "$$unique" || unique=$$empty_fix; \
380           if test $$# -gt 0; then \
381             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
382               "$$@" $$unique; \
383           else \
384             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
385               $$unique; \
386           fi; \
387         fi
388 ctags: CTAGS
389 CTAGS: ctags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
390                 $(TAGS_FILES) $(LISP)
391         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
392         unique=`for i in $$list; do \
393             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
394           done | \
395           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
396               END { if (nonempty) { for (i in files) print i; }; }'`; \
397         test -z "$(CTAGS_ARGS)$$unique" \
398           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
399              $$unique
400
401 GTAGS:
402         here=`$(am__cd) $(top_builddir) && pwd` \
403           && $(am__cd) $(top_srcdir) \
404           && gtags -i $(GTAGS_ARGS) "$$here"
405
406 distclean-tags:
407         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
408
409 distdir: $(DISTFILES)
410         $(am__remove_distdir)
411         test -d "$(distdir)" || mkdir "$(distdir)"
412         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
413         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
414         list='$(DISTFILES)'; \
415           dist_files=`for file in $$list; do echo $$file; done | \
416           sed -e "s|^$$srcdirstrip/||;t" \
417               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
418         case $$dist_files in \
419           */*) $(MKDIR_P) `echo "$$dist_files" | \
420                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
421                            sort -u` ;; \
422         esac; \
423         for file in $$dist_files; do \
424           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
425           if test -d $$d/$$file; then \
426             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
427             if test -d "$(distdir)/$$file"; then \
428               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
429             fi; \
430             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
431               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
432               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
433             fi; \
434             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
435           else \
436             test -f "$(distdir)/$$file" \
437             || cp -p $$d/$$file "$(distdir)/$$file" \
438             || exit 1; \
439           fi; \
440         done
441         @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
442           if test "$$subdir" = .; then :; else \
443             test -d "$(distdir)/$$subdir" \
444             || $(MKDIR_P) "$(distdir)/$$subdir" \
445             || exit 1; \
446           fi; \
447         done
448         @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
449           if test "$$subdir" = .; then :; else \
450             dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
451             $(am__relativize); \
452             new_distdir=$$reldir; \
453             dir1=$$subdir; dir2="$(top_distdir)"; \
454             $(am__relativize); \
455             new_top_distdir=$$reldir; \
456             echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
457             echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
458             ($(am__cd) $$subdir && \
459               $(MAKE) $(AM_MAKEFLAGS) \
460                 top_distdir="$$new_top_distdir" \
461                 distdir="$$new_distdir" \
462                 am__remove_distdir=: \
463                 am__skip_length_check=: \
464                 am__skip_mode_fix=: \
465                 distdir) \
466               || exit 1; \
467           fi; \
468         done
469         -test -n "$(am__skip_mode_fix)" \
470         || find "$(distdir)" -type d ! -perm -755 \
471                 -exec chmod u+rwx,go+rx {} \; -o \
472           ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
473           ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
474           ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
475         || chmod -R a+r "$(distdir)"
476 dist-gzip: distdir
477         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
478         $(am__remove_distdir)
479 dist-bzip2: distdir
480         tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
481         $(am__remove_distdir)
482
483 dist-lzma: distdir
484         tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
485         $(am__remove_distdir)
486
487 dist-xz: distdir
488         tardir=$(distdir) && $(am__tar) | xz -c >$(distdir).tar.xz
489         $(am__remove_distdir)
490
491 dist-tarZ: distdir
492         tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
493         $(am__remove_distdir)
494
495 dist-shar: distdir
496         shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
497         $(am__remove_distdir)
498
499 dist-zip: distdir
500         -rm -f $(distdir).zip
501         zip -rq $(distdir).zip $(distdir)
502         $(am__remove_distdir)
503
504 dist dist-all: distdir
505         tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
506         $(am__remove_distdir)
507
508 # This target untars the dist file and tries a VPATH configuration.  Then
509 # it guarantees that the distribution is self-contained by making another
510 # tarfile.
511 distcheck: dist
512         case '$(DIST_ARCHIVES)' in \
513         *.tar.gz*) \
514           GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
515         *.tar.bz2*) \
516           bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
517         *.tar.lzma*) \
518           lzma -dc $(distdir).tar.lzma | $(am__untar) ;;\
519         *.tar.xz*) \
520           xz -dc $(distdir).tar.xz | $(am__untar) ;;\
521         *.tar.Z*) \
522           uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
523         *.shar.gz*) \
524           GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
525         *.zip*) \
526           unzip $(distdir).zip ;;\
527         esac
528         chmod -R a-w $(distdir); chmod a+w $(distdir)
529         mkdir $(distdir)/_build
530         mkdir $(distdir)/_inst
531         chmod a-w $(distdir)
532         test -d $(distdir)/_build || exit 0; \
533         dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
534           && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
535           && am__cwd=`pwd` \
536           && $(am__cd) $(distdir)/_build \
537           && ../configure --srcdir=.. --prefix="$$dc_install_base" \
538             $(DISTCHECK_CONFIGURE_FLAGS) \
539           && $(MAKE) $(AM_MAKEFLAGS) \
540           && $(MAKE) $(AM_MAKEFLAGS) dvi \
541           && $(MAKE) $(AM_MAKEFLAGS) check \
542           && $(MAKE) $(AM_MAKEFLAGS) install \
543           && $(MAKE) $(AM_MAKEFLAGS) installcheck \
544           && $(MAKE) $(AM_MAKEFLAGS) uninstall \
545           && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
546                 distuninstallcheck \
547           && chmod -R a-w "$$dc_install_base" \
548           && ({ \
549                (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
550                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
551                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
552                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
553                     distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
554               } || { rm -rf "$$dc_destdir"; exit 1; }) \
555           && rm -rf "$$dc_destdir" \
556           && $(MAKE) $(AM_MAKEFLAGS) dist \
557           && rm -rf $(DIST_ARCHIVES) \
558           && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
559           && cd "$$am__cwd" \
560           || exit 1
561         $(am__remove_distdir)
562         @(echo "$(distdir) archives ready for distribution: "; \
563           list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
564           sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
565 distuninstallcheck:
566         @$(am__cd) '$(distuninstallcheck_dir)' \
567         && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
568            || { echo "ERROR: files left after uninstall:" ; \
569                 if test -n "$(DESTDIR)"; then \
570                   echo "  (check DESTDIR support)"; \
571                 fi ; \
572                 $(distuninstallcheck_listfiles) ; \
573                 exit 1; } >&2
574 distcleancheck: distclean
575         @if test '$(srcdir)' = . ; then \
576           echo "ERROR: distcleancheck can only run from a VPATH build" ; \
577           exit 1 ; \
578         fi
579         @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
580           || { echo "ERROR: files left in build directory after distclean:" ; \
581                $(distcleancheck_listfiles) ; \
582                exit 1; } >&2
583 check-am: all-am
584 check: check-recursive
585 all-am: Makefile $(DATA)
586 installdirs: installdirs-recursive
587 installdirs-am:
588         for dir in "$(DESTDIR)$(pkgconfigdir)"; do \
589           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
590         done
591 install: install-recursive
592 install-exec: install-exec-recursive
593 install-data: install-data-recursive
594 uninstall: uninstall-recursive
595
596 install-am: all-am
597         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
598
599 installcheck: installcheck-recursive
600 install-strip:
601         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
602           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
603           `test -z '$(STRIP)' || \
604             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
605 mostlyclean-generic:
606
607 clean-generic:
608
609 distclean-generic:
610         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
611         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
612         -test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)
613
614 maintainer-clean-generic:
615         @echo "This command is intended for maintainers to use"
616         @echo "it deletes files that may require special tools to rebuild."
617 clean: clean-recursive
618
619 clean-am: clean-generic mostlyclean-am
620
621 distclean: distclean-recursive
622         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
623         -rm -f Makefile
624 distclean-am: clean-am distclean-generic distclean-tags
625
626 dvi: dvi-recursive
627
628 dvi-am:
629
630 html: html-recursive
631
632 html-am:
633
634 info: info-recursive
635
636 info-am:
637
638 install-data-am: install-pkgconfigDATA
639
640 install-dvi: install-dvi-recursive
641
642 install-dvi-am:
643
644 install-exec-am:
645
646 install-html: install-html-recursive
647
648 install-html-am:
649
650 install-info: install-info-recursive
651
652 install-info-am:
653
654 install-man:
655
656 install-pdf: install-pdf-recursive
657
658 install-pdf-am:
659
660 install-ps: install-ps-recursive
661
662 install-ps-am:
663
664 installcheck-am:
665
666 maintainer-clean: maintainer-clean-recursive
667         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
668         -rm -rf $(top_srcdir)/autom4te.cache
669         -rm -f Makefile
670 maintainer-clean-am: distclean-am maintainer-clean-generic
671
672 mostlyclean: mostlyclean-recursive
673
674 mostlyclean-am: mostlyclean-generic
675
676 pdf: pdf-recursive
677
678 pdf-am:
679
680 ps: ps-recursive
681
682 ps-am:
683
684 uninstall-am: uninstall-pkgconfigDATA
685
686 .MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) ctags-recursive \
687         install-am install-strip tags-recursive
688
689 .PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \
690         all all-am am--refresh check check-am clean clean-generic \
691         ctags ctags-recursive dist dist-all dist-bzip2 dist-gzip \
692         dist-lzma dist-shar dist-tarZ dist-xz dist-zip distcheck \
693         distclean distclean-generic distclean-tags distcleancheck \
694         distdir distuninstallcheck dvi dvi-am html html-am info \
695         info-am install install-am install-data install-data-am \
696         install-dvi install-dvi-am install-exec install-exec-am \
697         install-html install-html-am install-info install-info-am \
698         install-man install-pdf install-pdf-am install-pkgconfigDATA \
699         install-ps install-ps-am install-strip installcheck \
700         installcheck-am installdirs installdirs-am maintainer-clean \
701         maintainer-clean-generic mostlyclean mostlyclean-generic pdf \
702         pdf-am ps ps-am tags tags-recursive uninstall uninstall-am \
703         uninstall-pkgconfigDATA
704
705
706 .PHONY: release
707 release: update-po check distcheck
708
709 .PHONY: update-po
710 update-po:
711         for domain in $(SUBDIRS); do \
712                 cd $$domain && make update-po && cd ..; \
713         done
714
715 .PHONY: sign-release
716 sign-release: iso-codes-$(VERSION).tar.bz2
717         rm -f iso-codes-$(VERSION).tar.bz2.sig
718         gpg --detach-sign iso-codes-$(VERSION).tar.bz2
719
720 .PHONY: upload
721 upload:
722         @if [[ "$(ALIOTH_USERNAME)" == "" ]]; then \
723                 echo "Please set your Alioth username. Example command line:"; \
724                 echo "  ALIOTH_USERNAME=toddy make upload"; \
725         fi
726         @if [[ -f "iso-codes-$(VERSION).tar.bz2" ]] \
727         && [[ -f "iso-codes-$(VERSION).tar.bz2.sig" ]] \
728         && [[ -n "$(ALIOTH_USERNAME)" ]]; then \
729                 scp iso-codes-$(VERSION).tar.* \
730                 $(ALIOTH_USERNAME)@alioth.debian.org:/srv/home/groups/pkg-isocodes/htdocs/downloads; \
731         fi
732
733 # Tell versions [3.59,3.63) of GNU make to not export all variables.
734 # Otherwise a system limit (for SysV at least) may be exceeded.
735 .NOEXPORT: